using System;
using System.Threading.Tasks;

internal sealed class Delegate781 : MulticastDelegate
{
	public extern Task<string> Invoke(object object_0, string string_0);

	public static Task<string> smethod_0(object object_0, string string_0, Delegate781 delegate781_1)
	{
		return delegate781_1(object_0, string_0);
	}

	public extern Delegate781(object object_0, IntPtr intptr_0);

	static Delegate781()
	{
		Class10.smethod_13(typeof(Delegate781).TypeHandle);
	}

	internal static Delegate781 delegate781_0;
}
